=== debian/changelog ===
ros-melodic-dynamic-graph-python (4.0.1-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Olivier Stasse <ostasse@laas.fr>  Mon, 16 Nov 2020 14:01:28 -0000
