=== debian/changelog ===
ros-melodic-dynamic-graph-python (4.0.10-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Sat, 24 Sep 2022 13:19:44 -0000
